Namespace
library
Image / Tag
swift:5.8.0-rhel-ubi9-slim
Content Digest
sha256:6325f20ef7a1e5d13b5807735b1b1830959867aa4bc1b7d2bcf830091de85ceb
Details
Created

2023-05-10 01:25:09 UTC

Size

158 MB

Content Digest
Labels
  • architecture
    x86_64
  • build-date
    2023-05-03T08:55:49
  • com.redhat.component
    ubi9-container
  • com.redhat.license_terms
    https://www.redhat.com/en/about/red-hat-end-user-license-agreements#UBI
  • description
    Docker Container for the Swift programming language
  • distribution-scope
    public
  • io.buildah.version
    1.27.3
  • io.k8s.description
    The Universal Base Image is designed and engineered to be the base layer for all of your containerized applications, middleware and utilities. This base image is freely redistributable, but Red Hat only supports Red Hat technologies through subscriptions for Red Hat products. This image is maintained by Red Hat and updated regularly.
  • io.k8s.display-name
    Red Hat Universal Base Image 9
  • io.openshift.expose-services
  • io.openshift.tags
    base rhel9
  • maintainer
    Swift Infrastructure <swift-infrastructure@forums.swift.org>
  • name
    ubi9
  • release
    489
  • summary
    Provides the latest release of Red Hat Universal Base Image 9.
  • url
    https://access.redhat.com/containers/#/registry.access.redhat.com/ubi9/images/9.2-489
  • vcs-ref
    6b5892a11894993e819f9a93ee1d7aaa80dc3a17
  • vcs-type
    git
  • vendor
    Red Hat, Inc.
  • version
    9.2

Environment
PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

SWIFT_BRANCH

swift-5.8-release

SWIFT_PLATFORM

ubi9

SWIFT_SIGNING_KEY

A62AE125BBBFBB96A6E042EC925CC1CCED3D1561

SWIFT_VERSION

swift-5.8-RELEASE

SWIFT_WEBROOT

https://download.swift.org

container

oci


Layers

[#000] sha256:33b9f09cff46d8b03b1185767b94e3881ea4cb8a671dd16ca1403f599fb2ed8f - 47.17% (74.6 MB)

[#001] sha256:9d45646ab046470d0a4989da853aa18fd6767c1bd0a58a3f9b4ae4093809311a - 52.83% (83.5 MB)


History
2023-05-03 09:09:53 UTC

/bin/sh -c #(nop) ADD file:446820592bc57ee5e10e8b4cb26e511f5349531c8d9a97961aa9133fc077f44c in /

2023-05-03 09:09:54 UTC

/bin/sh -c mv -f /etc/yum.repos.d/ubi.repo /tmp || :

2023-05-03 09:09:54 UTC

/bin/sh -c #(nop) ADD file:214c1de395c24e4a86ef9a706069ef30a9e804c63f851c37c35655e16fea3ced in /tmp/tls-ca-bundle.pem

2023-05-03 09:09:54 UTC

/bin/sh -c #(nop) ADD multi:b9f1efa6d4eb264a2ccbb760b4589e8b42e4ef0554a87cf7fab6ba883b0df687 in /etc/yum.repos.d/

2023-05-03 09:09:54 UTC

/bin/sh -c #(nop) LABEL maintainer="Red Hat, Inc."

2023-05-03 09:09:54 UTC

/bin/sh -c #(nop) LABEL com.redhat.component="ubi9-container" name="ubi9" version="9.2"

2023-05-03 09:09:54 UTC

/bin/sh -c #(nop) LABEL com.redhat.license_terms="https://www.redhat.com/en/about/red-hat-end-user-license-agreements#UBI"

2023-05-03 09:09:54 UTC

/bin/sh -c #(nop) LABEL summary="Provides the latest release of Red Hat Universal Base Image 9."

2023-05-03 09:09:54 UTC

/bin/sh -c #(nop) LABEL description="The Universal Base Image is designed and engineered to be the base layer for all of your containerized applications, middleware and utilities. This base image is freely redistributable, but Red Hat only supports Red Hat technologies through subscriptions for Red Hat products. This image is maintained by Red Hat and updated regularly."

2023-05-03 09:09:54 UTC

/bin/sh -c #(nop) LABEL io.k8s.display-name="Red Hat Universal Base Image 9"

2023-05-03 09:09:54 UTC

/bin/sh -c #(nop) LABEL io.openshift.expose-services=""

2023-05-03 09:09:54 UTC

/bin/sh -c #(nop) LABEL io.openshift.tags="base rhel9"

2023-05-03 09:09:54 UTC

/bin/sh -c #(nop) ENV container oci

2023-05-03 09:09:54 UTC

/bin/sh -c #(nop) ENV PATH /usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2023-05-03 09:09:54 UTC

/bin/sh -c #(nop) CMD ["/bin/bash"]

2023-05-03 09:09:55 UTC

/bin/sh -c rm -rf /var/log/*

2023-05-03 09:09:55 UTC

/bin/sh -c mkdir -p /var/log/rhsm

2023-05-03 09:09:55 UTC

/bin/sh -c #(nop) LABEL release=489

2023-05-03 09:09:55 UTC

/bin/sh -c #(nop) ADD file:c8eace25acc447d5f77d035d7a6ab8cf66692cbc3e7b63775f40d4c2aad4f0fa in /root/buildinfo/content_manifests/ubi9-container-9.2-489.json

2023-05-03 09:09:56 UTC

/bin/sh -c #(nop) ADD file:e727db5dccaaf1d6d58236f858284472455a5491e9c3c58ccca23af4a2e278ce in /root/buildinfo/Dockerfile-ubi9-9.2-489

2023-05-03 09:09:56 UTC

/bin/sh -c #(nop) LABEL "distribution-scope"="public" "vendor"="Red Hat, Inc." "build-date"="2023-05-03T08:55:49" "architecture"="x86_64" "vcs-type"="git" "vcs-ref"="6b5892a11894993e819f9a93ee1d7aaa80dc3a17" "io.k8s.description"="The Universal Base Image is designed and engineered to be the base layer for all of your containerized applications, middleware and utilities. This base image is freely redistributable, but Red Hat only supports Red Hat technologies through subscriptions for Red Hat products. This image is maintained by Red Hat and updated regularly." "url"="https://access.redhat.com/containers/#/registry.access.redhat.com/ubi9/images/9.2-489"

2023-05-03 09:09:56 UTC

/bin/sh -c rm -f '/etc/yum.repos.d/repo-5b631.repo' '/etc/yum.repos.d/repo-f1088.repo'

2023-05-03 09:09:57 UTC

/bin/sh -c rm -f /tmp/tls-ca-bundle.pem

2023-05-03 09:09:58 UTC

/bin/sh -c mv -fZ /tmp/ubi.repo /etc/yum.repos.d/ubi.repo || :

2023-05-10 01:23:49 UTC

/bin/sh -c #(nop) LABEL maintainer=Swift Infrastructure <swift-infrastructure@forums.swift.org>

2023-05-10 01:23:49 UTC

/bin/sh -c #(nop) LABEL description=Docker Container for the Swift programming language

2023-05-10 01:24:47 UTC

/bin/sh -c #(nop) ARG SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561

2023-05-10 01:24:47 UTC

/bin/sh -c #(nop) ARG SWIFT_PLATFORM=ubi9

2023-05-10 01:24:47 UTC

/bin/sh -c #(nop) ARG SWIFT_BRANCH=swift-5.8-release

2023-05-10 01:24:47 UTC

/bin/sh -c #(nop) ARG SWIFT_VERSION=swift-5.8-RELEASE

2023-05-10 01:24:47 UTC

/bin/sh -c #(nop) ARG SWIFT_WEBROOT=https://download.swift.org

2023-05-10 01:24:47 UTC

/bin/sh -c #(nop) ENV SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561 SWIFT_PLATFORM=ubi9 SWIFT_BRANCH=swift-5.8-release SWIFT_VERSION=swift-5.8-RELEASE SWIFT_WEBROOT=https://download.swift.org

2023-05-10 01:25:09 UTC

/bin/sh -c set -e; ARCH_NAME="$(rpm --eval '%{_arch}')"; url=; case "${ARCH_NAME##*-}" in 'x86_64') OS_ARCH_SUFFIX=''; ;; 'aarch64') OS_ARCH_SUFFIX='-aarch64'; ;; *) echo >&2 "error: unsupported architecture: '$ARCH_NAME'"; exit 1 ;; esac; SWIFT_WEBDIR="$SWIFT_WEBROOT/$SWIFT_BRANCH/$(echo $SWIFT_PLATFORM | tr -d .)$OS_ARCH_SUFFIX" && SWIFT_BIN_URL="$SWIFT_WEBDIR/$SWIFT_VERSION/$SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX.tar.gz" && SWIFT_SIG_URL="$SWIFT_BIN_URL.sig" && export GNUPGHOME="$(mktemp -d)" && curl -fsSL "$SWIFT_BIN_URL" -o swift.tar.gz "$SWIFT_SIG_URL" -o swift.tar.gz.sig && gpg --batch --quiet --keyserver keyserver.ubuntu.com --recv-keys "$SWIFT_SIGNING_KEY" && gpg --batch --verify swift.tar.gz.sig swift.tar.gz && yum -y install tar gzip && tar -xzf swift.tar.gz --directory / --strip-components=1 $SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX/usr/lib/swift/linux && chmod -R o+r /usr/lib/swift && rm -rf "$GNUPGHOME" swift.tar.gz.sig swift.tar.gz

Details
Created

2023-05-10 01:17:58 UTC

Size

154 MB

Content Digest
Labels
  • architecture
    aarch64
  • build-date
    2023-05-03T08:55:49
  • com.redhat.component
    ubi9-container
  • com.redhat.license_terms
    https://www.redhat.com/en/about/red-hat-end-user-license-agreements#UBI
  • description
    Docker Container for the Swift programming language
  • distribution-scope
    public
  • io.buildah.version
    1.27.3
  • io.k8s.description
    The Universal Base Image is designed and engineered to be the base layer for all of your containerized applications, middleware and utilities. This base image is freely redistributable, but Red Hat only supports Red Hat technologies through subscriptions for Red Hat products. This image is maintained by Red Hat and updated regularly.
  • io.k8s.display-name
    Red Hat Universal Base Image 9
  • io.openshift.expose-services
  • io.openshift.tags
    base rhel9
  • maintainer
    Swift Infrastructure <swift-infrastructure@forums.swift.org>
  • name
    ubi9
  • release
    489
  • summary
    Provides the latest release of Red Hat Universal Base Image 9.
  • url
    https://access.redhat.com/containers/#/registry.access.redhat.com/ubi9/images/9.2-489
  • vcs-ref
    6b5892a11894993e819f9a93ee1d7aaa80dc3a17
  • vcs-type
    git
  • vendor
    Red Hat, Inc.
  • version
    9.2

Environment
PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

SWIFT_BRANCH

swift-5.8-release

SWIFT_PLATFORM

ubi9

SWIFT_SIGNING_KEY

A62AE125BBBFBB96A6E042EC925CC1CCED3D1561

SWIFT_VERSION

swift-5.8-RELEASE

SWIFT_WEBROOT

https://download.swift.org

container

oci


Layers

[#000] sha256:afb232a9d1ab9721154acd957cc717682d2c53048888c96be3de09161b32c5e2 - 47.1% (72.4 MB)

[#001] sha256:fb9037e41c73d1f1e4a39998460e692e3777e256b25afeafa9c2ee50667f8663 - 52.9% (81.3 MB)


History
2023-05-03 09:09:38 UTC

/bin/sh -c #(nop) ADD file:9e55d7f6860e5fbe3492ad2eea3312b8cf75035130950d0f94ce49070d815ab1 in /

2023-05-03 09:09:39 UTC

/bin/sh -c mv -f /etc/yum.repos.d/ubi.repo /tmp || :

2023-05-03 09:09:39 UTC

/bin/sh -c #(nop) ADD file:214c1de395c24e4a86ef9a706069ef30a9e804c63f851c37c35655e16fea3ced in /tmp/tls-ca-bundle.pem

2023-05-03 09:09:40 UTC

/bin/sh -c #(nop) ADD multi:b9f1efa6d4eb264a2ccbb760b4589e8b42e4ef0554a87cf7fab6ba883b0df687 in /etc/yum.repos.d/

2023-05-03 09:09:40 UTC

/bin/sh -c #(nop) LABEL maintainer="Red Hat, Inc."

2023-05-03 09:09:40 UTC

/bin/sh -c #(nop) LABEL com.redhat.component="ubi9-container" name="ubi9" version="9.2"

2023-05-03 09:09:40 UTC

/bin/sh -c #(nop) LABEL com.redhat.license_terms="https://www.redhat.com/en/about/red-hat-end-user-license-agreements#UBI"

2023-05-03 09:09:40 UTC

/bin/sh -c #(nop) LABEL summary="Provides the latest release of Red Hat Universal Base Image 9."

2023-05-03 09:09:40 UTC

/bin/sh -c #(nop) LABEL description="The Universal Base Image is designed and engineered to be the base layer for all of your containerized applications, middleware and utilities. This base image is freely redistributable, but Red Hat only supports Red Hat technologies through subscriptions for Red Hat products. This image is maintained by Red Hat and updated regularly."

2023-05-03 09:09:40 UTC

/bin/sh -c #(nop) LABEL io.k8s.display-name="Red Hat Universal Base Image 9"

2023-05-03 09:09:40 UTC

/bin/sh -c #(nop) LABEL io.openshift.expose-services=""

2023-05-03 09:09:40 UTC

/bin/sh -c #(nop) LABEL io.openshift.tags="base rhel9"

2023-05-03 09:09:40 UTC

/bin/sh -c #(nop) ENV container oci

2023-05-03 09:09:40 UTC

/bin/sh -c #(nop) ENV PATH /usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2023-05-03 09:09:40 UTC

/bin/sh -c #(nop) CMD ["/bin/bash"]

2023-05-03 09:09:41 UTC

/bin/sh -c rm -rf /var/log/*

2023-05-03 09:09:42 UTC

/bin/sh -c mkdir -p /var/log/rhsm

2023-05-03 09:09:42 UTC

/bin/sh -c #(nop) LABEL release=489

2023-05-03 09:09:42 UTC

/bin/sh -c #(nop) ADD file:74d9ca77ee82fe6102d56fcbb072b9091a436919d78476baaa1a21e1aee829b4 in /root/buildinfo/content_manifests/ubi9-container-9.2-489.json

2023-05-03 09:09:42 UTC

/bin/sh -c #(nop) ADD file:1984411405539a7bf001c9f40ae871b2af5b9eb7198c1424700fa5c3c89c5681 in /root/buildinfo/Dockerfile-ubi9-9.2-489

2023-05-03 09:09:42 UTC

/bin/sh -c #(nop) LABEL "distribution-scope"="public" "vendor"="Red Hat, Inc." "build-date"="2023-05-03T08:55:49" "architecture"="aarch64" "vcs-type"="git" "vcs-ref"="6b5892a11894993e819f9a93ee1d7aaa80dc3a17" "io.k8s.description"="The Universal Base Image is designed and engineered to be the base layer for all of your containerized applications, middleware and utilities. This base image is freely redistributable, but Red Hat only supports Red Hat technologies through subscriptions for Red Hat products. This image is maintained by Red Hat and updated regularly." "url"="https://access.redhat.com/containers/#/registry.access.redhat.com/ubi9/images/9.2-489"

2023-05-03 09:09:43 UTC

/bin/sh -c rm -f '/etc/yum.repos.d/repo-5b631.repo' '/etc/yum.repos.d/repo-f1088.repo'

2023-05-03 09:09:44 UTC

/bin/sh -c rm -f /tmp/tls-ca-bundle.pem

2023-05-03 09:09:46 UTC

/bin/sh -c mv -fZ /tmp/ubi.repo /etc/yum.repos.d/ubi.repo || :

2023-05-10 01:16:24 UTC

/bin/sh -c #(nop) LABEL maintainer=Swift Infrastructure <swift-infrastructure@forums.swift.org>

2023-05-10 01:16:24 UTC

/bin/sh -c #(nop) LABEL description=Docker Container for the Swift programming language

2023-05-10 01:17:32 UTC

/bin/sh -c #(nop) ARG SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561

2023-05-10 01:17:32 UTC

/bin/sh -c #(nop) ARG SWIFT_PLATFORM=ubi9

2023-05-10 01:17:32 UTC

/bin/sh -c #(nop) ARG SWIFT_BRANCH=swift-5.8-release

2023-05-10 01:17:32 UTC

/bin/sh -c #(nop) ARG SWIFT_VERSION=swift-5.8-RELEASE

2023-05-10 01:17:32 UTC

/bin/sh -c #(nop) ARG SWIFT_WEBROOT=https://download.swift.org

2023-05-10 01:17:32 UTC

/bin/sh -c #(nop) ENV SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561 SWIFT_PLATFORM=ubi9 SWIFT_BRANCH=swift-5.8-release SWIFT_VERSION=swift-5.8-RELEASE SWIFT_WEBROOT=https://download.swift.org

2023-05-10 01:17:58 UTC

/bin/sh -c set -e; ARCH_NAME="$(rpm --eval '%{_arch}')"; url=; case "${ARCH_NAME##*-}" in 'x86_64') OS_ARCH_SUFFIX=''; ;; 'aarch64') OS_ARCH_SUFFIX='-aarch64'; ;; *) echo >&2 "error: unsupported architecture: '$ARCH_NAME'"; exit 1 ;; esac; SWIFT_WEBDIR="$SWIFT_WEBROOT/$SWIFT_BRANCH/$(echo $SWIFT_PLATFORM | tr -d .)$OS_ARCH_SUFFIX" && SWIFT_BIN_URL="$SWIFT_WEBDIR/$SWIFT_VERSION/$SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX.tar.gz" && SWIFT_SIG_URL="$SWIFT_BIN_URL.sig" && export GNUPGHOME="$(mktemp -d)" && curl -fsSL "$SWIFT_BIN_URL" -o swift.tar.gz "$SWIFT_SIG_URL" -o swift.tar.gz.sig && gpg --batch --quiet --keyserver keyserver.ubuntu.com --recv-keys "$SWIFT_SIGNING_KEY" && gpg --batch --verify swift.tar.gz.sig swift.tar.gz && yum -y install tar gzip && tar -xzf swift.tar.gz --directory / --strip-components=1 $SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX/usr/lib/swift/linux && chmod -R o+r /usr/lib/swift && rm -rf "$GNUPGHOME" swift.tar.gz.sig swift.tar.gz

Danger Zone
Delete Tag

Please be careful as this will not just delete the reference but also the actual content!

For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.

Delete